1 Reply Latest reply: Nov 18, 2012 11:11 AM by lllaass
BrannaErin Level 1 Level 1 (0 points)

Why is my 3rd generation iPod telling me I need to download iOS 5?


iPod touch, iOS 5